/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.poshi.runner.var.type;

import java.util.List;

/**
 * @author Yi-Chen Tsai
 */
public class TableFactory {

	public static BaseTable<?> newTable(
		List<List<String>> rawData, String tableType) {

		if (tableType.equals("HashesTable")) {
			return new HashesTable(rawData);
		}
		else if (tableType.equals("RawTable")) {
			return new RawTable(rawData);
		}
		else if (tableType.equals("RowsHashTable")) {
			return new RowsHashTable(rawData);
		}

		return new RawTable(rawData);
	}

}